<?php

// +---------------------------------------------------------------------------+
// | Birthday Plugin 1.0 for Geeklog - The Ultimate Weblog                     |
// | All your birthday are belong to us.                                       |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author: Mike Lynn <mike@mlynn.com>                                        |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    twillett@users.sourceforge.net           |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           | 
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../../../lib-common.php');

$restrict = false;
if (!SEC_hasRights('birthdays.edit','birthdays.view','birthdays.admin','OR')) {
	$restrict = true;
}
 
/* 
* Main Function
*/

$display = COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/birthdays/templates');
$T->set_file('edit','edit.thtml');
$T->set_var('header', $LANG_BD00['plugin']);
$T->set_var('site_url',$_CONF['site_url']);
$T->set_var('plugin','birthdays');
$T->set_var('lang_fname',$LANG_BD00['fname']);
$T->set_var('lang_lname',$LANG_BD00['lname']);
$T->set_var('lang_uname',$LANG_BD00['uname']);
$T->set_var('lang_day',$LANG_BD00['day']);
$T->set_var('lang_month',$LANG_BD00['month']);
$T->set_var('lang_year',$LANG_BD00['year']);
$T->set_var('lang_birthday',$LANG_BD00['birthday']);

// start birthday code
$error = 0;
$count = DB_count($_TABLES['users'],'uid');
if ($count == 0 ) {
	$error = 1;
}

if (!($error)) {
	$result = DB_query("SELECT * FROM {$_TABLES['users']}");
	$nrows = DB_numRows($result);
	if ($nrows > 0) {
		for ($i = 1; $i <=$nrows; $i++) {
		        $T->set_var('row_number', $i);
			$A = DB_fetchArray($result);
			$_CONF['pagetitle'] = "Birthday Listing";
			$T->set_var('username',$A['username']);
			$day=DB_getItem($_TABLES['birthdays'],'day',"uid = {$A["uid"]}");
			$month=DB_getItem($_TABLES['birthdays'],'month',"uid = {$A["uid"]}");
			if ($day > "") {
				$T->set_var('birthday',"$month/$day");
			} else {
				$T->set_var('birthday',"");
			}	
			$T->parse('list_item','row',true);
		}
	} else {
		$T->set_var('lang_nobdays_msg',$LANG_BD00['no_bdays']);
		$T->set_var('list_item','');
	}
} else {
	$T->set_var('lang_nobdays_msg',$LANG_BD00['no_bdays']);
	$T->set_var('list_item','');
}

$T->parse('output','list');
$display .= $T->finish($T->get_var('output'));
$display .= COM_siteFooter();

echo $display;
?>
